Package: org.grails.cli.profile

## [Groovy] Interface Command

- grails.util.Named

- All Superinterfaces:
    Named

      interface Command
      extends Named

  An interface that represents a command to be executed by the Grails command line. Commands are by default global, however a command can be made specific to a particular Profile by implementation the ProfileCommand interface.

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract CommandDescription` | `getDescription()` Returns: The description of the command
    `` | `abstract boolean` | `handle(ExecutionContext executionContext)` run the command

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### abstract CommandDescription getDescription()

      Returns:
        The description of the command

    - #### abstract boolean handle(ExecutionContext executionContext)

      run the command

      Parameters:
        `executionContext` - The ExecutionContext
      Returns:
        Whether the command should continue